org.apache.sysds.runtime.functionobjects

## Class COV

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction
    - - org.apache.sysds.runtime.functionobjects.COV

- All Implemented Interfaces:
    Serializable

      public class COV
      extends ValueFunction

  GENERAL NOTE: * 05/28/2014: We decided to do handle weights consistently to SPSS in an operation-specific manner, i.e., we (1) round instead of casting where required (e.g. count), and (2) consistently use fractional weight values elsewhere. In case a count-base interpretation of weights is needed, just ensure rounding before calling CM/COV/KahanPlus.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Data` | `execute(Data in1, Data in2)`
    `Data` | `execute(Data in1, double u, double v)` Special case for weights w2==1
    `Data` | `execute(Data in1, double u, double v, double w2)` General case for arbitrary weights w2
    `static COV` | `getCOMFnObject()`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.ValueFunction

      `requiresCorrection`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCOMFnObject

          public static COV getCOMFnObject()

    - #### execute

          public Data execute(Data in1,
                              double u,
                              double v,
                              double w2)

      General case for arbitrary weights w2
      Parameters:
        `in1` - input data
        `u` - ?
        `v` - ?
        `w2` - ?
      Returns:
        result

    - #### execute

          public Data execute(Data in1,
                              double u,
                              double v)

      Special case for weights w2==1
      Overrides:
        `execute` in class `FunctionObject`
      Parameters:
        `in1` - ?
        `u` - ?
        `v` - ?
      Returns:
        result

    - #### execute

          public Data execute(Data in1,
                              Data in2)

      Overrides:
        `execute` in class `FunctionObject`

Copyright © 2021 The Apache Software Foundation. All rights reserved.